|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Q3VBox Class Reference

The Q3VBox widget provides vertical geometry management of its child widgets. More...

    #include <Q3VBox>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Part of the Qt3Support module.

Inherits Q3HBox.

- List of all members, including inherited members

### Public Functions

- Q3VBox ( QWidget * parent = 0, const char * name = 0, Qt::WFlags f = 0 )

- 2 public functions inherited from Q3HBox
- 4 public functions inherited from Q3Frame
- 13 public functions inherited from QFrame
- 183 public functions inherited from QWidget
- 28 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Additional Inherited Members

- 2 properties inherited from Q3Frame
- 6 properties inherited from QFrame
- 52 properties inherited from QWidget
- 1 property inherited from QObject
- 17 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 2 static public members inherited from QFrame
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject
- 5 protected functions inherited from Q3Frame
- 39 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

The Q3VBox widget provides vertical geometry management of its child widgets.

All its child widgets will be placed vertically and sized according to their sizeHint()s.

See also QHBox.

## Member Function Documentation

### Q3VBox::Q3VBox ( QWidget * parent = 0, const char * name = 0, Qt::WFlags f = 0 )

Constructs a vbox widget called name with parent parent and widget flags f.